using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Threading;
using System.Globalization;
using System.Resources;
using System.Reflection;


namespace ToolbarTest
{
	/// <summary>
	/// Summary description for Form2.
	/// </summary>
	public class ToolbarTest : System.Windows.Forms.Form
	{
		private Syncfusion.Windows.Forms.Tools.XPMenus.MainFrameBarManager barManager;
		private Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem menuFile;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem menuFileExit;
		private Syncfusion.Windows.Forms.Tools.XPMenus.Bar mainMenu;
		private Syncfusion.Windows.Forms.Tools.XPMenus.Bar toolbar;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem toolbarItemToolbarTest;
		private System.Windows.Forms.Button button1;
		private System.ComponentModel.IContainer components;

		public ToolbarTest()
		{
			InitializeComponent();

			ChangeLanguage();
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.components = new System.ComponentModel.Container();
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(ToolbarTest));
			this.barManager = new Syncfusion.Windows.Forms.Tools.XPMenus.MainFrameBarManager(this.components, this);
			this.mainMenu = new Syncfusion.Windows.Forms.Tools.XPMenus.Bar(this.barManager, "MainMenu");
			this.menuFile = new Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem();
			this.menuFileExit = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
			this.toolbar = new Syncfusion.Windows.Forms.Tools.XPMenus.Bar(this.barManager, "Toolbar");
			this.toolbarItemToolbarTest = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
			this.button1 = new System.Windows.Forms.Button();
			((System.ComponentModel.ISupportInitialize)(this.barManager)).BeginInit();
			this.SuspendLayout();
			// 
			// barManager
			// 
			this.barManager.BarPositionInfo = ((System.IO.MemoryStream)(resources.GetObject("barManager.BarPositionInfo")));
			this.barManager.Bars.Add(this.mainMenu);
			this.barManager.Bars.Add(this.toolbar);
			this.barManager.Categories.Add("Commands");
			this.barManager.CurrentBaseFormType = "System.Windows.Forms.Form";
			this.barManager.Form = this;
			this.barManager.ImageList = null;
			this.barManager.Items.AddRange(new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem[] {
																																														this.menuFile,
																																														this.menuFileExit,
																																														this.toolbarItemToolbarTest});
			this.barManager.LargeImageList = null;
			this.barManager.ResetCustomization = false;
			this.barManager.Style = Syncfusion.Windows.Forms.VisualStyle.Office2003;
			// 
			// mainMenu
			// 
			this.mainMenu.BarName = "MainMenu";
			this.mainMenu.BarStyle = ((Syncfusion.Windows.Forms.Tools.XPMenus.BarStyle)((((Syncfusion.Windows.Forms.Tools.XPMenus.BarStyle.AllowQuickCustomizing | Syncfusion.Windows.Forms.Tools.XPMenus.BarStyle.IsMainMenu) 
				| Syncfusion.Windows.Forms.Tools.XPMenus.BarStyle.Visible) 
				| Syncfusion.Windows.Forms.Tools.XPMenus.BarStyle.DrawDragBorder)));
			this.mainMenu.Items.AddRange(new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem[] {
																																													this.menuFile});
			this.mainMenu.Manager = this.barManager;
			// 
			// menuFile
			// 
			this.menuFile.CategoryIndex = 0;
			this.menuFile.ID = "File";
			this.menuFile.Items.AddRange(new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem[] {
																																													this.menuFileExit});
			// 
			// menuFileExit
			// 
			this.menuFileExit.CategoryIndex = 0;
			this.menuFileExit.ID = "Exit";
			// 
			// toolbar
			// 
			this.toolbar.BarName = "Toolbar";
			this.toolbar.Items.AddRange(new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem[] {
																																												 this.toolbarItemToolbarTest});
			this.toolbar.Manager = this.barManager;
			// 
			// toolbarItemToolbarTest
			// 
			this.toolbarItemToolbarTest.CategoryIndex = 0;
			this.toolbarItemToolbarTest.ID = "ToolBarTest";
			// 
			// button1
			// 
			this.button1.Location = new System.Drawing.Point(216, 216);
			this.button1.Name = "button1";
			this.button1.Size = new System.Drawing.Size(160, 48);
			this.button1.TabIndex = 4;
			this.button1.Text = "Change Language";
			this.button1.Click += new System.EventHandler(this.button1_Click);
			// 
			// ToolbarTest
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(624, 502);
			this.Controls.Add(this.button1);
			this.Name = "ToolbarTest";
			this.Text = "Form2";
			((System.ComponentModel.ISupportInitialize)(this.barManager)).EndInit();
			this.ResumeLayout(false);

		}
		#endregion


		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new ToolbarTest());
		}


		private void ChangeLanguage()
		{
			ResourceManager rm = new ResourceManager("Strings", Assembly.GetCallingAssembly());

			this.menuFile.Text = rm.GetString("File");
			this.menuFileExit.Text = rm.GetString("Exit");
			this.toolbarItemToolbarTest.Text = rm.GetString("ToolbarTest");
			this.toolbar.BarName = rm.GetString("ToolbarName");
		}

		private void button1_Click(object sender, System.EventArgs e)
		{
			if (Thread.CurrentThread.CurrentCulture.TwoLetterISOLanguageName == "en")
			{
				// English now - switch to Danish
				CultureInfo newCulture = new CultureInfo("da-DK");

				Thread.CurrentThread.CurrentCulture = newCulture;
				Thread.CurrentThread.CurrentUICulture = newCulture;
			}
			else
			{
				// Danish now - swith to English
				CultureInfo newCulture = new CultureInfo("en-GB");

				Thread.CurrentThread.CurrentCulture = newCulture;
				Thread.CurrentThread.CurrentUICulture = newCulture;
			}

			ChangeLanguage();
		}
	}
}
